// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 55;
	objects = {

/* Begin PBXBuildFile section */
		35C9D1EF27AFB70700E8DDE5 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 35C9D1EE27AFB70700E8DDE5 /* AppDelegate.swift */; };
		35C9D1F127AFB70700E8DDE5 /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 35C9D1F027AFB70700E8DDE5 /* SceneDelegate.swift */; };
		35C9D1F327AFB70700E8DDE5 /* MainController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 35C9D1F227AFB70700E8DDE5 /* MainController.swift */; };
		35C9D1F627AFB70700E8DDE5 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 35C9D1F427AFB70700E8DDE5 /* Main.storyboard */; };
		35C9D1F827AFB70800E8DDE5 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 35C9D1F727AFB70800E8DDE5 /* Assets.xcassets */; };
		35C9D1FB27AFB70800E8DDE5 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 35C9D1F927AFB70800E8DDE5 /* LaunchScreen.storyboard */; };
		35C9D20627AFB70800E8DDE5 /* CalculatorTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 35C9D20527AFB70800E8DDE5 /* CalculatorTests.swift */; };
		35C9D21027AFB70800E8DDE5 /* CalculatorUITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 35C9D20F27AFB70800E8DDE5 /* CalculatorUITests.swift */; };
		35C9D21227AFB70800E8DDE5 /* CalculatorUITestsLaunchTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 35C9D21127AFB70800E8DDE5 /* CalculatorUITestsLaunchTests.swift */; };
		35C9D22327AFB86C00E8DDE5 /* MainViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 35C9D22227AFB86C00E8DDE5 /* MainViewModel.swift */; };
		35C9D22627AFB96300E8DDE5 /* UIResultLabel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 35C9D22527AFB96300E8DDE5 /* UIResultLabel.swift */; };
		35C9D22827AFBAFA00E8DDE5 /* UIExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 35C9D22727AFBAFA00E8DDE5 /* UIExtensions.swift */; };
		35C9D22A27AFBC9800E8DDE5 /* UIButtonsLayoutView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 35C9D22927AFBC9800E8DDE5 /* UIButtonsLayoutView.swift */; };
		35C9D22D27AFBFC100E8DDE5 /* ButtonModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 35C9D22C27AFBFC100E8DDE5 /* ButtonModel.swift */; };
		6B40769EE10259A7E687D4F8 /* Pods_CalculatorTests.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 69C04A906DBB529B4BEF579B /* Pods_CalculatorTests.framework */; };
		C3C6A831CDE3CFD8B300471A /* Pods_Calculator_CalculatorUITests.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 05214B1B22D9C76ED5D030CC /* Pods_Calculator_CalculatorUITests.framework */; };
		C91204BA958C73F1347783C7 /* Pods_Calculator.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 783A1F6163C08DDAA9DA315B /* Pods_Calculator.framework */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		35C9D20227AFB70800E8DDE5 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 35C9D1E327AFB70700E8DDE5 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 35C9D1EA27AFB70700E8DDE5;
			remoteInfo = Calculator;
		};
		35C9D20C27AFB70800E8DDE5 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 35C9D1E327AFB70700E8DDE5 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 35C9D1EA27AFB70700E8DDE5;
			remoteInfo = Calculator;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		05214B1B22D9C76ED5D030CC /* Pods_Calculator_CalculatorUITests.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_Calculator_CalculatorUITests.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		0E29336AC58367DA22D054D0 /* Pods-CalculatorTests.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-CalculatorTests.release.xcconfig"; path = "Target Support Files/Pods-CalculatorTests/Pods-CalculatorTests.release.xcconfig"; sourceTree = "<group>"; };
		20B4A4DD050ACA8123F83EB1 /* Pods-CalculatorTests.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-CalculatorTests.debug.xcconfig"; path = "Target Support Files/Pods-CalculatorTests/Pods-CalculatorTests.debug.xcconfig"; sourceTree = "<group>"; };
		35C9D1EB27AFB70700E8DDE5 /* Calculator.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Calculator.app; sourceTree = BUILT_PRODUCTS_DIR; };
		35C9D1EE27AFB70700E8DDE5 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		35C9D1F027AFB70700E8DDE5 /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		35C9D1F227AFB70700E8DDE5 /* MainController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainController.swift; sourceTree = "<group>"; };
		35C9D1F527AFB70700E8DDE5 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		35C9D1F727AFB70800E8DDE5 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		35C9D1FA27AFB70800E8DDE5 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		35C9D1FC27AFB70800E8DDE5 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		35C9D20127AFB70800E8DDE5 /* CalculatorTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = CalculatorTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		35C9D20527AFB70800E8DDE5 /* CalculatorTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CalculatorTests.swift; sourceTree = "<group>"; };
		35C9D20B27AFB70800E8DDE5 /* CalculatorUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = CalculatorUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		35C9D20F27AFB70800E8DDE5 /* CalculatorUITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CalculatorUITests.swift; sourceTree = "<group>"; };
		35C9D21127AFB70800E8DDE5 /* CalculatorUITestsLaunchTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CalculatorUITestsLaunchTests.swift; sourceTree = "<group>"; };
		35C9D22227AFB86C00E8DDE5 /* MainViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainViewModel.swift; sourceTree = "<group>"; };
		35C9D22527AFB96300E8DDE5 /* UIResultLabel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UIResultLabel.swift; sourceTree = "<group>"; };
		35C9D22727AFBAFA00E8DDE5 /* UIExtensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UIExtensions.swift; sourceTree = "<group>"; };
		35C9D22927AFBC9800E8DDE5 /* UIButtonsLayoutView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UIButtonsLayoutView.swift; sourceTree = "<group>"; };
		35C9D22C27AFBFC100E8DDE5 /* ButtonModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ButtonModel.swift; sourceTree = "<group>"; };
		3AAF66E8A944C2FC32733C2D /* Pods-Calculator-CalculatorUITests.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Calculator-CalculatorUITests.debug.xcconfig"; path = "Target Support Files/Pods-Calculator-CalculatorUITests/Pods-Calculator-CalculatorUITests.debug.xcconfig"; sourceTree = "<group>"; };
		4DA6F766D7ECEBE263141E6B /* Pods-Calculator-CalculatorUITests.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Calculator-CalculatorUITests.release.xcconfig"; path = "Target Support Files/Pods-Calculator-CalculatorUITests/Pods-Calculator-CalculatorUITests.release.xcconfig"; sourceTree = "<group>"; };
		4DD9CDDC296BAFB1FEACFEE4 /* Pods-Calculator.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Calculator.debug.xcconfig"; path = "Target Support Files/Pods-Calculator/Pods-Calculator.debug.xcconfig"; sourceTree = "<group>"; };
		54D7AB768C920C73B53CDA9E /* Pods-Calculator.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Calculator.release.xcconfig"; path = "Target Support Files/Pods-Calculator/Pods-Calculator.release.xcconfig"; sourceTree = "<group>"; };
		69C04A906DBB529B4BEF579B /* Pods_CalculatorTests.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_CalculatorTests.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		783A1F6163C08DDAA9DA315B /* Pods_Calculator.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_Calculator.framework; sourceTree = BUILT_PRODUCTS_DIR; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		35C9D1E827AFB70700E8DDE5 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				C91204BA958C73F1347783C7 /* Pods_Calculator.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		35C9D1FE27AFB70800E8DDE5 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				6B40769EE10259A7E687D4F8 /* Pods_CalculatorTests.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		35C9D20827AFB70800E8DDE5 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				C3C6A831CDE3CFD8B300471A /* Pods_Calculator_CalculatorUITests.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		20905FF5505DA645A04925FE /* Pods */ = {
			isa = PBXGroup;
			children = (
				4DD9CDDC296BAFB1FEACFEE4 /* Pods-Calculator.debug.xcconfig */,
				54D7AB768C920C73B53CDA9E /* Pods-Calculator.release.xcconfig */,
				3AAF66E8A944C2FC32733C2D /* Pods-Calculator-CalculatorUITests.debug.xcconfig */,
				4DA6F766D7ECEBE263141E6B /* Pods-Calculator-CalculatorUITests.release.xcconfig */,
				20B4A4DD050ACA8123F83EB1 /* Pods-CalculatorTests.debug.xcconfig */,
				0E29336AC58367DA22D054D0 /* Pods-CalculatorTests.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
		35C9D1E227AFB70700E8DDE5 = {
			isa = PBXGroup;
			children = (
				35C9D1ED27AFB70700E8DDE5 /* Calculator */,
				35C9D20427AFB70800E8DDE5 /* CalculatorTests */,
				35C9D20E27AFB70800E8DDE5 /* CalculatorUITests */,
				35C9D1EC27AFB70700E8DDE5 /* Products */,
				20905FF5505DA645A04925FE /* Pods */,
				C3022EB6558DBDEC444EDFC0 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		35C9D1EC27AFB70700E8DDE5 /* Products */ = {
			isa = PBXGroup;
			children = (
				35C9D1EB27AFB70700E8DDE5 /* Calculator.app */,
				35C9D20127AFB70800E8DDE5 /* CalculatorTests.xctest */,
				35C9D20B27AFB70800E8DDE5 /* CalculatorUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		35C9D1ED27AFB70700E8DDE5 /* Calculator */ = {
			isa = PBXGroup;
			children = (
				35C9D22027AFB85200E8DDE5 /* Utils */,
				35C9D21F27AFB84B00E8DDE5 /* DataBase */,
				35C9D21E27AFB83E00E8DDE5 /* UI */,
				35C9D1EE27AFB70700E8DDE5 /* AppDelegate.swift */,
				35C9D1F027AFB70700E8DDE5 /* SceneDelegate.swift */,
				35C9D1F427AFB70700E8DDE5 /* Main.storyboard */,
				35C9D1F727AFB70800E8DDE5 /* Assets.xcassets */,
				35C9D1F927AFB70800E8DDE5 /* LaunchScreen.storyboard */,
				35C9D1FC27AFB70800E8DDE5 /* Info.plist */,
			);
			path = Calculator;
			sourceTree = "<group>";
		};
		35C9D20427AFB70800E8DDE5 /* CalculatorTests */ = {
			isa = PBXGroup;
			children = (
				35C9D20527AFB70800E8DDE5 /* CalculatorTests.swift */,
			);
			path = CalculatorTests;
			sourceTree = "<group>";
		};
		35C9D20E27AFB70800E8DDE5 /* CalculatorUITests */ = {
			isa = PBXGroup;
			children = (
				35C9D20F27AFB70800E8DDE5 /* CalculatorUITests.swift */,
				35C9D21127AFB70800E8DDE5 /* CalculatorUITestsLaunchTests.swift */,
			);
			path = CalculatorUITests;
			sourceTree = "<group>";
		};
		35C9D21E27AFB83E00E8DDE5 /* UI */ = {
			isa = PBXGroup;
			children = (
				35C9D22127AFB85900E8DDE5 /* Main */,
			);
			path = UI;
			sourceTree = "<group>";
		};
		35C9D21F27AFB84B00E8DDE5 /* DataBase */ = {
			isa = PBXGroup;
			children = (
			);
			path = DataBase;
			sourceTree = "<group>";
		};
		35C9D22027AFB85200E8DDE5 /* Utils */ = {
			isa = PBXGroup;
			children = (
				35C9D22B27AFBFA400E8DDE5 /* Model */,
				35C9D22427AFB92600E8DDE5 /* View */,
				35C9D22727AFBAFA00E8DDE5 /* UIExtensions.swift */,
			);
			path = Utils;
			sourceTree = "<group>";
		};
		35C9D22127AFB85900E8DDE5 /* Main */ = {
			isa = PBXGroup;
			children = (
				35C9D1F227AFB70700E8DDE5 /* MainController.swift */,
				35C9D22227AFB86C00E8DDE5 /* MainViewModel.swift */,
			);
			path = Main;
			sourceTree = "<group>";
		};
		35C9D22427AFB92600E8DDE5 /* View */ = {
			isa = PBXGroup;
			children = (
				35C9D22527AFB96300E8DDE5 /* UIResultLabel.swift */,
				35C9D22927AFBC9800E8DDE5 /* UIButtonsLayoutView.swift */,
			);
			path = View;
			sourceTree = "<group>";
		};
		35C9D22B27AFBFA400E8DDE5 /* Model */ = {
			isa = PBXGroup;
			children = (
				35C9D22C27AFBFC100E8DDE5 /* ButtonModel.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		C3022EB6558DBDEC444EDFC0 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				783A1F6163C08DDAA9DA315B /* Pods_Calculator.framework */,
				05214B1B22D9C76ED5D030CC /* Pods_Calculator_CalculatorUITests.framework */,
				69C04A906DBB529B4BEF579B /* Pods_CalculatorTests.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		35C9D1EA27AFB70700E8DDE5 /* Calculator */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 35C9D21527AFB70800E8DDE5 /* Build configuration list for PBXNativeTarget "Calculator" */;
			buildPhases = (
				841AF4717B1DCD4100A5F892 /* [CP] Check Pods Manifest.lock */,
				35C9D1E727AFB70700E8DDE5 /* Sources */,
				35C9D1E827AFB70700E8DDE5 /* Frameworks */,
				35C9D1E927AFB70700E8DDE5 /* Resources */,
				8D181F6E518B98E73B2C79FE /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = Calculator;
			productName = Calculator;
			productReference = 35C9D1EB27AFB70700E8DDE5 /* Calculator.app */;
			productType = "com.apple.product-type.application";
		};
		35C9D20027AFB70800E8DDE5 /* CalculatorTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 35C9D21827AFB70800E8DDE5 /* Build configuration list for PBXNativeTarget "CalculatorTests" */;
			buildPhases = (
				46237074A4BBCE0CD86CE997 /* [CP] Check Pods Manifest.lock */,
				35C9D1FD27AFB70800E8DDE5 /* Sources */,
				35C9D1FE27AFB70800E8DDE5 /* Frameworks */,
				35C9D1FF27AFB70800E8DDE5 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				35C9D20327AFB70800E8DDE5 /* PBXTargetDependency */,
			);
			name = CalculatorTests;
			productName = CalculatorTests;
			productReference = 35C9D20127AFB70800E8DDE5 /* CalculatorTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		35C9D20A27AFB70800E8DDE5 /* CalculatorUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 35C9D21B27AFB70800E8DDE5 /* Build configuration list for PBXNativeTarget "CalculatorUITests" */;
			buildPhases = (
				405C39127B6B840DF6B1C472 /* [CP] Check Pods Manifest.lock */,
				35C9D20727AFB70800E8DDE5 /* Sources */,
				35C9D20827AFB70800E8DDE5 /* Frameworks */,
				35C9D20927AFB70800E8DDE5 /* Resources */,
				74FC51A25B3774A057E44ADC /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
				35C9D20D27AFB70800E8DDE5 /* PBXTargetDependency */,
			);
			name = CalculatorUITests;
			productName = CalculatorUITests;
			productReference = 35C9D20B27AFB70800E8DDE5 /* CalculatorUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		35C9D1E327AFB70700E8DDE5 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 1310;
				LastUpgradeCheck = 1310;
				TargetAttributes = {
					35C9D1EA27AFB70700E8DDE5 = {
						CreatedOnToolsVersion = 13.1;
					};
					35C9D20027AFB70800E8DDE5 = {
						CreatedOnToolsVersion = 13.1;
						TestTargetID = 35C9D1EA27AFB70700E8DDE5;
					};
					35C9D20A27AFB70800E8DDE5 = {
						CreatedOnToolsVersion = 13.1;
						TestTargetID = 35C9D1EA27AFB70700E8DDE5;
					};
				};
			};
			buildConfigurationList = 35C9D1E627AFB70700E8DDE5 /* Build configuration list for PBXProject "Calculator" */;
			compatibilityVersion = "Xcode 13.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 35C9D1E227AFB70700E8DDE5;
			productRefGroup = 35C9D1EC27AFB70700E8DDE5 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				35C9D1EA27AFB70700E8DDE5 /* Calculator */,
				35C9D20027AFB70800E8DDE5 /* CalculatorTests */,
				35C9D20A27AFB70800E8DDE5 /* CalculatorUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		35C9D1E927AFB70700E8DDE5 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				35C9D1FB27AFB70800E8DDE5 /* LaunchScreen.storyboard in Resources */,
				35C9D1F827AFB70800E8DDE5 /* Assets.xcassets in Resources */,
				35C9D1F627AFB70700E8DDE5 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		35C9D1FF27AFB70800E8DDE5 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		35C9D20927AFB70800E8DDE5 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		405C39127B6B840DF6B1C472 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-Calculator-CalculatorUITests-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		46237074A4BBCE0CD86CE997 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-CalculatorTests-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		74FC51A25B3774A057E44ADC /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Calculator-CalculatorUITests/Pods-Calculator-CalculatorUITests-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Calculator-CalculatorUITests/Pods-Calculator-CalculatorUITests-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-Calculator-CalculatorUITests/Pods-Calculator-CalculatorUITests-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
		841AF4717B1DCD4100A5F892 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-Calculator-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		8D181F6E518B98E73B2C79FE /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Calculator/Pods-Calculator-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Calculator/Pods-Calculator-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-Calculator/Pods-Calculator-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		35C9D1E727AFB70700E8DDE5 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				35C9D1F327AFB70700E8DDE5 /* MainController.swift in Sources */,
				35C9D22D27AFBFC100E8DDE5 /* ButtonModel.swift in Sources */,
				35C9D22827AFBAFA00E8DDE5 /* UIExtensions.swift in Sources */,
				35C9D1EF27AFB70700E8DDE5 /* AppDelegate.swift in Sources */,
				35C9D1F127AFB70700E8DDE5 /* SceneDelegate.swift in Sources */,
				35C9D22627AFB96300E8DDE5 /* UIResultLabel.swift in Sources */,
				35C9D22327AFB86C00E8DDE5 /* MainViewModel.swift in Sources */,
				35C9D22A27AFBC9800E8DDE5 /* UIButtonsLayoutView.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		35C9D1FD27AFB70800E8DDE5 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				35C9D20627AFB70800E8DDE5 /* CalculatorTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		35C9D20727AFB70800E8DDE5 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				35C9D21227AFB70800E8DDE5 /* CalculatorUITestsLaunchTests.swift in Sources */,
				35C9D21027AFB70800E8DDE5 /* CalculatorUITests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		35C9D20327AFB70800E8DDE5 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 35C9D1EA27AFB70700E8DDE5 /* Calculator */;
			targetProxy = 35C9D20227AFB70800E8DDE5 /* PBXContainerItemProxy */;
		};
		35C9D20D27AFB70800E8DDE5 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 35C9D1EA27AFB70700E8DDE5 /* Calculator */;
			targetProxy = 35C9D20C27AFB70800E8DDE5 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		35C9D1F427AFB70700E8DDE5 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				35C9D1F527AFB70700E8DDE5 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		35C9D1F927AFB70800E8DDE5 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				35C9D1FA27AFB70800E8DDE5 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		35C9D21327AFB70800E8DDE5 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++17";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		35C9D21427AFB70800E8DDE5 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++17";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		35C9D21627AFB70800E8DDE5 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 4DD9CDDC296BAFB1FEACFEE4 /* Pods-Calculator.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 88PPYY4BFG;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = Calculator/Info.plist;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UIMainStoryboardFile = Main;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = io.portfolio.eldar.Calculator;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		35C9D21727AFB70800E8DDE5 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 54D7AB768C920C73B53CDA9E /* Pods-Calculator.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 88PPYY4BFG;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = Calculator/Info.plist;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UIMainStoryboardFile = Main;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = io.portfolio.eldar.Calculator;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		35C9D21927AFB70800E8DDE5 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 20B4A4DD050ACA8123F83EB1 /* Pods-CalculatorTests.debug.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 88PPYY4BFG;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = io.portfolio.eldar.CalculatorTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Calculator.app/Calculator";
			};
			name = Debug;
		};
		35C9D21A27AFB70800E8DDE5 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 0E29336AC58367DA22D054D0 /* Pods-CalculatorTests.release.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 88PPYY4BFG;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = io.portfolio.eldar.CalculatorTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Calculator.app/Calculator";
			};
			name = Release;
		};
		35C9D21C27AFB70800E8DDE5 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 3AAF66E8A944C2FC32733C2D /* Pods-Calculator-CalculatorUITests.debug.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 88PPYY4BFG;
				GENERATE_INFOPLIST_FILE = YES;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = io.portfolio.eldar.CalculatorUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = Calculator;
			};
			name = Debug;
		};
		35C9D21D27AFB70800E8DDE5 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 4DA6F766D7ECEBE263141E6B /* Pods-Calculator-CalculatorUITests.release.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 88PPYY4BFG;
				GENERATE_INFOPLIST_FILE = YES;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = io.portfolio.eldar.CalculatorUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = Calculator;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		35C9D1E627AFB70700E8DDE5 /* Build configuration list for PBXProject "Calculator" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				35C9D21327AFB70800E8DDE5 /* Debug */,
				35C9D21427AFB70800E8DDE5 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		35C9D21527AFB70800E8DDE5 /* Build configuration list for PBXNativeTarget "Calculator" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				35C9D21627AFB70800E8DDE5 /* Debug */,
				35C9D21727AFB70800E8DDE5 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		35C9D21827AFB70800E8DDE5 /* Build configuration list for PBXNativeTarget "CalculatorTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				35C9D21927AFB70800E8DDE5 /* Debug */,
				35C9D21A27AFB70800E8DDE5 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		35C9D21B27AFB70800E8DDE5 /* Build configuration list for PBXNativeTarget "CalculatorUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				35C9D21C27AFB70800E8DDE5 /* Debug */,
				35C9D21D27AFB70800E8DDE5 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 35C9D1E327AFB70700E8DDE5 /* Project object */;
}
